Index: control.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/servlink/control.c,v
retrieving revision 1.4
diff -u -r1.4 control.c
--- control.c	11 Jun 2001 19:19:57 -0000	1.4
+++ control.c	13 Sep 2002 12:27:07 -0000
@@ -99,7 +99,7 @@
 
   if ((ret = deflateInit(&out_state.zip_state.z_stream,
                          out_state.zip_state.level)) != Z_OK)
-    send_error("deflateInit failed: %d", ret);
+    send_error("deflateInit failed: %s", zError(ret));
 
   out_state.zip = 1;
 #else
@@ -121,7 +121,7 @@
   in_state.zip_state.z_stream.zfree = (free_func)0;
   in_state.zip_state.z_stream.data_type = Z_ASCII;
   if ((ret = inflateInit(&in_state.zip_state.z_stream)) != Z_OK)
-    send_error("inflateInit failed: %d", ret);
+    send_error("inflateInit failed: %s", zError(ret));
   in_state.zip = 1;
 #else
   send_error("can't start decompression - no libz support!");
Index: io.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/servlink/io.c,v
retrieving revision 1.28
diff -u -r1.28 io.c
--- io.c	4 Oct 2001 21:22:10 -0000	1.28
+++ io.c	13 Sep 2002 12:27:07 -0000
@@ -210,7 +210,7 @@
     {
       if ((ret = inflate(&in_state.zip_state.z_stream,
                          Z_NO_FLUSH)) != Z_OK)
-        send_error("Inflate failed: %d", ret);
+        send_error("Inflate failed: %s", zError(ret));
 
       blen = BUFLEN - in_state.zip_state.z_stream.avail_out;
 
@@ -477,8 +477,8 @@
       out_state.zip_state.z_stream.avail_out = BUFLEN;
       if(!(ret2 = deflate(&out_state.zip_state.z_stream,
                           Z_PARTIAL_FLUSH)) == Z_OK)
-        send_error("error compressing outgoing data - deflate returned %d",
-                   ret2);
+        send_error("error compressing outgoing data - deflate returned: %s",
+                   zError(ret2));
 
       if (!out_state.zip_state.z_stream.avail_out)
         send_error("error compressing outgoing data - avail_out == 0");
@@ -598,7 +598,7 @@
       {
         if ((ret2 = inflate(&in_state.zip_state.z_stream,
                             Z_NO_FLUSH)) != Z_OK)
-          send_error("inflate failed: %d", ret2);
+          send_error("Inflate failed: %s", zError(ret2));
 
         blen = BUFLEN - in_state.zip_state.z_stream.avail_out;
 
